Subject: bug#10969: 24.0.94; Annoying warning for `pop'

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 09 Mar 2012 18:12:45 +0100

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Sorry, as always I don't understand your answer.
>
> :-)
>
>> (let ((lst '("a" "b" "c")))
>>   (pop (nthcdr 1 lst)))
>> =>"b"
>>
>> What make any sense?
>
> It depends on what `pop' you're using.  With the cl.el pop, you get this:
Sorry, I didn't specify which one I was using.
Of course I am using the CL one, as I always use at least the CL macros
in my lisp files.

BTW this is one more function that should be named cl-pop or something
similar.

> (setq lst '("a" "b" "c"))
> => ("a" "b" "c")
> (pop (nthcdr 1 lst))
> => "b"
> lst
> => ("a" "c")
>
> With the Emacs Lisp `pop', you get this:
>
> (setq lst '("a" "b" "c"))
> => ("a" "b" "c")
> (pop (nthcdr 1 lst))
> Debugger entered--Lisp error: (wrong-type-argument symbolp (nthcdr 1 lst))

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997